# /background\_check

#### Endpoint

```http
https://be.progeny.tech/api/v3/services/background_check/
```

#### Purpose

Allows you to perform a background check for Anti Money Laundering (AML).

#### Sample request and response

## Get a task Id

<mark style="color:green;">`POST`</mark> `https://be.progeny.tech/api/v3/services/background_check/`

#### Request Body

| Name                                          | Type   | Description                                      |
| --------------------------------------------- | ------ | ------------------------------------------------ |
| fullname<mark style="color:red;">\*</mark>    | String | The fullname as written in the official document |
| birth\_date<mark style="color:red;">\*</mark> | String | The date of birth in yyyy-mm-dd format           |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "id": "efe46711-b1d8-43f1-9d02-7a54c43b79a2"
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    "fullname": [
        "This field is required."
    ],
    "birth_date": [
        "This field is required."
    ]
}
```

{% endtab %}
{% endtabs %}

## Extract an data from the Background Check

<mark style="color:blue;">`GET`</mark> `https://be.progeny.tech/api/v3/services/task/?id={{task_id}}`&#x20;

#### Path Parameters

| Name                                 | Type   | Description                                     |
| ------------------------------------ | ------ | ----------------------------------------------- |
| id<mark style="color:red;">\*</mark> | String | The task Id you obtained from your POST request |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "background_check": {
        "potential_match": false,
        "risk_level": "unknown",
        "total_matches": 0,
        "hits": []
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.progeny.tech/our-api/background_check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
